<?php

namespace app\entity\data\shared;

use app\entity\data\DataEntity;

class SharedProsperityPointEntity extends DataEntity
{
    public $id = null;  // 主键
    public $userId = null;  // 用户id
    public $total = null;  // 总计
    public $radio = null;  // 比例
    public $old = null;  // 变更前佣金
    public $number = null;  // 操作佣金
    public $after = null;  // 变更后佣金
    public $pm = null;  // 类型 1增加
    public $createTime = null;  // 创建时间

    public function getId()
    {
        return $this->id;
    }

    public function setId($id): SharedProsperityPointEntity
    {
        $this->id = $id;
        return $this;
    }

    public function getUserId()
    {
        return $this->userId;
    }

    public function setUserId($userId): SharedProsperityPointEntity
    {
        $this->userId = $userId;
        return $this;
    }

    public function getTotal()
    {
        return $this->total;
    }

    public function setTotal($total): SharedProsperityPointEntity
    {
        $this->total = $total;
        return $this;
    }

    public function getRadio()
    {
        return $this->radio;
    }

    public function setRadio($radio): SharedProsperityPointEntity
    {
        $this->radio = $radio;
        return $this;
    }

    public function getOld()
    {
        return $this->old;
    }

    public function setOld($old): SharedProsperityPointEntity
    {
        $this->old = $old;
        return $this;
    }

    public function getNumber()
    {
        return $this->number;
    }

    public function setNumber($number): SharedProsperityPointEntity
    {
        $this->number = $number;
        return $this;
    }

    public function getAfter()
    {
        return $this->after;
    }

    public function setAfter($after): SharedProsperityPointEntity
    {
        $this->after = $after;
        return $this;
    }

    public function getPm()
    {
        return $this->pm;
    }

    public function setPm($pm): SharedProsperityPointEntity
    {
        $this->pm = $pm;
        return $this;
    }

    public function getCreateTime()
    {
        return $this->createTime;
    }

    public function setCreateTime($createTime): SharedProsperityPointEntity
    {
        $this->createTime = $createTime;
        return $this;
    }

}